package com.lovecoding.day09.duotai02;

public class Person {

    //实例变量声明父类类型，实际存储的是子类对象
    Pet pet;

    public void showInfo(){
        System.out.println("宠物："+pet.getName());
    }

    //方法的形参是父类类型，调用方法的实参是子类对象
    //领养
    public void adopt( Pet pet ){
        pet.adopt();
    }
}
